#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/poll.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <linux/parport.h>
#include <linux/ppdev.h>


#define NUM_SOCK 16
#define BUFFERSIZE 0x1010

unsigned char buffer[BUFFERSIZE];

int ppdev;
struct pollfd pollfd[NUM_SOCK];


unsigned char init[] = {0x5a, 0x00, 0x01, 0x00,
			0x00, 0x00, 0x00, 0x00};
unsigned char echo[] = {0x5a, 0x00, 0x00, 0x00,
			0x04, 0x00, 0x00, 0x00,
			'E', 'c', 'h', 'o'};


void error(char *msg) {
	perror("lj3100_echo");
	fprintf(stderr, "lj3100_echo: %s\n", msg);
	exit(1);
}

int main(int argc, char **argv)
{
	int i, ret, arg;

	struct sockaddr_un sa = {AF_UNIX, "/tmp/lj3100_0"};

	int sock = socket(PF_UNIX, SOCK_STREAM, 0);
	ret = connect(sock, &sa, sizeof(sa));
	fprintf(stderr, "ret = %x\n", ret);
	perror("connect");

	write(sock, echo, sizeof(echo));

	ret = read(sock, buffer, BUFFERSIZE);
	fprintf(stderr, "read done\n", ret);
	fprintf(stderr, "ret = %x\n", ret);
	perror("read");

	if (ret > 0) {
		write(1, buffer, ret);
		write(1, "\n", 1);
	}

	exit(0);



	poll(pollfd, NUM_SOCK, 30 * 1000);

	for (i = 0; i < NUM_SOCK; i++) {
		printf("%d\t%x\n", i, pollfd[i].revents);
	}

	return 0;
}
